Skip to main content

Transaction List

GET/rest/transactions

Returns a list of transactions for the merchant. By default, it will respond with 50 transactions. You can use query parameters to adjust the time-frame to get a list of transactions for a given period.

Query Parameters

fromString
Optional earliest date in ISO-8601, e.g. 2016-10-05T17:50:28+02:00
toString
Optional latest date in ISO-8601, e.g. 2016-10-05T18:50:28+02:00
statusString
Optional status code or a comma-separated list of status codes, e.g. status=3 or status=2,3
currencyString
Optional 3-letter currency code (ISO 4217)
order_idString
Optional merchant's order ID
Example Request
GET /rest/transactions?from=2016-10-05T17:50:28+02:00&to=2016-10-26T18:00:00+02:00&status=3&currency=EUR&order_id=145000188

Transaction List Response

Response will include a collection of JSON objects.

transaction_idString
ID of the transaction
created_atString
Timestamp of when the transaction was created
updated_atString
Timestamp of the last update to the transaction
status_codeInteger
statusString
amountFloat
Amount used in this transaction
currencyString
Code of the currency that has been used
order_idString
Merchant's order ID
recurringInteger
Whether this is a recurring transaction (0 or 1)
sepa_mandateString
Mandate Reference Number (max. 35 characters)
parent_idString
Transaction ID of the parent, usually available for recurring transactions
payment_methodString
Payment method used for the transaction
messageString
Message about the transaction
sepa_msg_idString
SEPA message ID
captured_amountFloat
Captured amount, if exists
additional_transaction_dataString
Additional data provided by you during payment creation
Example Response
[
{
"transaction_id": "4927d679-7695-4a31-a901-e89dcfed3d43",
"created_at": "2016-10-26T16:04:33.901+02:00",
"updated_at": "2016-10-26T16:05:00.897+02:00",
"status_code": 3,
"status": "completed",
"amount": 612.85,
"currency": "EUR",
"order_id": "145000188",
"recurring": 0,
"sepa_mandate": null,
"parent_id": null,
"payment_method": "cardecom",
"message": "AUTH performed successfully.",
"sepa_msg_id": null,
"captured_amount": null,
"additional_transaction_data": null
},
{
"transaction_id": "07c8b0a4-186f-4b56-a929-17d13b29c695",
"created_at": "2016-10-26T16:03:06.394+02:00",
"updated_at": "2016-10-26T16:03:06.416+02:00",
"status_code": 3,
"status": "completed",
"amount": 10.0,
"currency": "EUR",
"order_id": null,
"recurring": 0,
"sepa_mandate": null,
"parent_id": null,
"payment_method": "wero",
"message": null,
"sepa_msg_id": null,
"captured_amount": null,
"additional_transaction_data": null
}
]